# QComboBox Class Reference

### [com.trolltech.qt.gui package]

Inherits QWidget.

### Constructor

- void QComboBox(QWidget parent)

### Constructor Properties

- prototype: The QComboBox prototype object
- NoInsert
- InsertAtTop
- InsertAtCurrent
- InsertAtBottom
- InsertAfterCurrent
- InsertBeforeCurrent
- InsertAlphabetically
- InsertPolicy( value )
- AdjustToContents
- AdjustToContentsOnFirstShow
- AdjustToMinimumContentsLength
- AdjustToMinimumContentsLengthWithIcon
- SizeAdjustPolicy( value )

### Prototype Object Properties

The QComboBox prototype object inherits properties from the QWidget prototype object and also has the following properties.

- void addItem(QIcon icon, String text, Object userData)
- void addItems(List texts)
- QCompleter completer()
- int findData(Object data, int role, MatchFlags flags)
- int findText(String text, MatchFlags flags)
- void hidePopup()
- void insertItem(int index, QIcon icon, String text, Object userData)
- void insertItems(int index, List texts)
- void insertSeparator(int index)
- Object itemData(int index, int role)
- QAbstractItemDelegate itemDelegate()
- QIcon itemIcon(int index)
- String itemText(int index)
- QLineEdit lineEdit()
- QSize minimumSizeHint()
- QAbstractItemModel model()
- void removeItem(int index)
- QModelIndex rootModelIndex()
- void setCompleter(QCompleter c)
- void setItemData(int index, Object value, int role)
- void setItemDelegate(QAbstractItemDelegate delegate)
- void setItemIcon(int index, QIcon icon)
- void setItemText(int index, String text)
- void setLineEdit(QLineEdit edit)
- void setModel(QAbstractItemModel model)
- void setRootModelIndex(QModelIndex index)
- void setValidator(QValidator v)
- void setView(QAbstractItemView itemView)
- void showPopup()
- QSize sizeHint()
- QValidator validator()
- QAbstractItemView view()

### Instance Properties

QComboBox objects inherit properties from the QComboBox prototype object and also have the following properties.

- editable
- count
- currentText
- currentIndex
- maxVisibleItems
- maxCount
- insertPolicy
- sizeAdjustPolicy
- minimumContentsLength
- iconSize
- autoCompletion
- autoCompletionCaseSensitivity
- duplicatesEnabled
- frame
- modelColumn